pcl::PointXYZL Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZL:

## Public Member Functions

| PointXYZL (const _PointXYZL &p)
| PointXYZL ()

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZL &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZL
| PCL_ADD_POINT4D
uint32_t | label

## Detailed Description

Definition at line 471 of file point_types.hpp.

## Constructor & Destructor Documentation

pcl::PointXYZL::PointXYZL | ( | const _PointXYZL & | p | ) |

inline

Definition at line 473 of file point_types.hpp.

References pcl::_PointXYZL::label.

pcl::PointXYZL::PointXYZL | ( |  | ) |

inline

Definition at line 479 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXYZL & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp